//------------------------------------------------------------------------------ 
//------------------------------------------------------------------------------ 
//------------------------------------------------------------------------------ 
cli();          //   
WDTCR=15;       //   
WDTCR=15;       //   
PORTA=0;        //   A   0000 0000
PORTB=0x1c;     //   B   0001 1100  PB2 PB3 PB4 (   +)
PORTC=0x80;     //   C   1000 0000  P7         (   +)
PORTD=0x02;     //   D   0000 0010  PD1         ( TXD  +)
DDRA=0;         //      A 0000 0000
DDRB=0x43;      //      B 0100 0011
DDRC=0x7f;      //      C 0111 1111
DDRD=0xfe;      //      D 1111 1110

//******************************************************************************
//  / 0 (8- )
// PB3/OC0        
//        16 /8/256.
//  256   7812.5 ,  
//    7   4-    
//  32    1/35  CS02=0, CS01=1, CS00=0
TCCR0=(1<<CS01);
//   
TIMSK|=1<<TOIE0;    //     0
//******************************************************************************
//     2 (8- )
//       
// WGM21=1 WGM20=0      OCR2
// COM21=0 COM20=1   0,1,0,1,.... (  2 )
// CS22=1 CS21=0 CS20=1   16000000  128
//    <8 
TCCR2=(1<<WGM21)|(1<<COM20)|(1<<CS22)|(1<<CS20);
//******************************************************************************
//     1A  1B  (PWM)-
//  ,      OCR1A  OCR1B
//     2    
//         16     0  5 
//         OCR
TCCR1A=(1<<COM1A1)|(1<<COM1A0)|(1<<COM1B1)|(1<<COM1B0)|(1<<WGM11);
// CS12=CS11=0 CS10=1      16 
// WGM13=WGM12=WGM11=1 WGM10=0   0--  
TCCR1B=(1<<CS10)|(1<<WGM13)|(1<<WGM12);
//          
ICR1H=(PWM1TOP>>8)&0xff;
ICR1L=PWM1TOP&0xff;
//    0  PWM1TOP   16000000 
//     ,     1
//     ,  0

// 16-      
OCR1AH=0xff;
OCR1AL=0xff;
OCR1BH=0xff;
OCR1BL=0xff;
//******************************************************************************
// ADEN- ADC
// ADIE-  ADC
// ADPS2=ADPS1=ADPS2=1    128 = 125     
//       ADLAR=0, ..     
// ADATE=1 (ADTS0=ADTS1=ADTS2=0)  
ADCSRA=(1<<ADEN)|(1<<ADATE)|(1<<ADIE)|(1<<ADPS2)|(1<<ADPS1)|(1<<ADPS0);
ADMUX=(1<<REFS0);       //      AVCC    AREF
// ADSC-     
ADCSRA|=(1<<ADSC);      //   

//******************************************************************************
//  USART
// UBRRL=60; UBRRH=1;   //   2400  16  ( -0.1%)
// UBRRL=207; UBRRH=0;  //   4800  16  ( 0.2%)
// UBRRL=103; UBRRH=0;  //   9600  16  ( 0.2%)
// UBRRL=68; UBRRH=0;   //   14400  16  ( 0.6%)
// UBRRL=51; UBRRH=0;   //   19200  16  ( 0.2%)
// UBRRL=34; UBRRH=0;   //   28800  16  ( -0.8%)
UBRRL=25; UBRRH=0;      //   38400  16  ( 0.2%)
// UBRRL=16; UBRRH=0;   //   57600  16  ( 2.1%)
// UBRRL=12; UBRRH=0;   //   76800  16  ( 0.2%)
// UBRRL=8; UBRRH=0;    //   115200  16  ( -3.5%)
//******************************************************************************

UCSRB=(1<<RXEN)|(1<<TXEN)|(1<<RXCIE)|(1<<TXCIE);    //    
//   
//       
UCSRC=(1<<URSEL)|(1<<UCSZ1)|(1<<UCSZ0);             // 8-  

fv.s1=0;
fv.s2=0;
fv.s3=0;
fv.s4=0;
fv.t=0;
fv.d=0;
fv.h=0;

sei();                  //   
while(!fv.h){wdt_reset();}                          //    
for(BYTE j=0; j<8; j++)
  {                     //    
  for(BYTE i=0; i<9; i++)V2[i]=FRB(&Spr[i+j*9]);
  iV2=0;                //    
  nV2=9;                //  9
  fv.d=0;               //    
  fv.h=0;               //  
  while(!fv.h){wdt_reset();}                        //    
  }
_delay_us(1000000);
fv.t=1;                 //   
for(BYTE j=0; j<80; j++)if(!V2[j])V2[j]=32;
//------------------------------------------------------------------------------ 
