//------------------------------------------------------------------------------ 
//   
//  16  AT Mega 32
//       .
//------------------------------------------------------------------------------ 
//   -  !README.TXT
//------------------------------------------------------------------------------
//  
// #define hd44780_16x2             //    
#define hd44780_20x4                //    

#include <avr/io.h>                 //  
#include <avr/iom32.h>              //  32
#include <avr/interrupt.h>          //   
#include <avr/pgmspace.h>           //   
#include <avr/eeprom.h>             //  
#include <avr/wdt.h>                // 
#include <util/delay.h>             // 

#include "bit.h"                    //   
#include "bin.h"                    //      
#include "main.h"                   //    
#include "txt.h"                    //       
#include "akk.h"                    //  
#include "eeprom.h"                 //   

#ifdef hd44780_16x2
#include "hd44780_16x2.h"           //         
#endif
#ifdef hd44780_20x4
#include "hd44780_20x4.h"           //         
#endif
#include "util.cpp"                 // 
#include "int.cpp"                  //  
#include "menuopu.cpp"              //  
#include "menuop.cpp"               //  
#include "gozar.cpp"                //  
//------------------------------------------------------------------------------ 
//------------------------------------------------------------------------------ 
//------------------------------------------------------------------------------
//   ,      Avrdude   
//#include <avr/fuse.h>
//FUSES = 
//  {
//  __fuse.low = (BYTE)(BODEN & BODLEVEL),  //     
//  __fuse.high = (BYTE)(CKOPT),            //     
//  };
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------ 
//     
int main(void)
{
fc=255;
#include "init.cpp"       //  
#include "zagruzka.cpp"   //   
while(true)
  {
  wdt_reset();            //  
  #include "sh.cpp"       //  
  #include "test.cpp"     //     
  if(iK1!=iK0)            //      
    {
    #include "menu.cpp"   //  
    }
  TestMainParam();        //       
  if(Ch1.C)Go(Ch1);       //    1
  if(Ch2.C)Go(Ch2);       //    2
  #include "uart_in.cpp"  //      COM-
  #include "uart_out.cpp" //      COM-
  }
}
//------------------------------------------------------------------------------ 
