//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
#define nA  20              //    EEPROM
#define lA  16              //     
#define  nTA  16            //     EEPROM
#define  lTA  31            //      
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//       
//         :
// 1.          .
// 2.    (, N*/,     50%)
// 3.  .
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//     
volatile BYTE tA;           //        
volatile BYTE tTA;          //         
BYTE tPA[lA];               //      (/  )
BYTE tPTA[lTA];             //       (/  )

struct ZAR                  // ,       
{
BYTE A;                     //     
long STime;                 //        (     )
long WTime;                 //       
long CTime;                 //          1/10 .
long SecsT;                 //       
BYTE Cycl;                  //   (   )
        // 0000 - 
        // 0001 -    1 
        // 0010 -    2 
        // 0011 -    3 
float k0, k1, k2;           //     
float kr0, kr1, kr2;        //     
float kv0, kv1, kv2;        //   
float Rch;                  //   
BYTE f1;                    //    1 (10   )
BYTE f2;                    //    2 (11   )
BYTE n;                     //      (- . )
WORD
ftPause:1,                  //    
h:1,                        //   
Zaryd:1,                    //         
LZaryd:1,                   //     (true-, false-)
                            //    
C:1,                        // 0- 1-
dT:1,                       // 0-  < 2./. 1- ()
DP:1,                       //  0-  1-  
DPs:1,                      //  0-  1-  
First:1,                    // 1-   0- 
Stop:1;                     // 1-    0- 
BYTE Speed;                 // 0- 1- 2-
WORD Pause;                 //     494    1/10 .
BYTE Fasa;                  //   (0-, 1-, 2-  )
WORD WW;                    //      
WORD W;                     //          
WORD i;                     //   (0-0xfffe) -  
WORD iDec;                  //   (0-0xfffe) -      
BYTE sDec;                  //  0- 1- 2- 3-
BYTE pDec;                  //      ch.PDes    1/10 
BYTE PDec;                  //       
BYTE TDec;                  //       
BYTE Imin, Imax;            //      
float I, V, T, Told;        //   ,   
float Tmax, TT;             //       
float Vst;                  //  
float Vmax;                 //      DP 
float Vmaxs;                //      DP 
float Vmin0;                //     
float Vmin1;                //     
float Vh;                   //  
float dV;                   //  -   (      )
float II;                   //     
float IIDec;                //         
float VV;                   //        
float Z;                    //  
float InZ;                  //       1/10  (     36000)
BYTE Msg;                   //   
          // 0 -    (  )
          // 1 -      
          // 2 -   
          // 3 -  
          // 4 -    
          // 5 -     1.2 
          // 6 -     
          // 7 -    11 
          // 8 -  
          // 9 -       " "
          // 10 -  
          // 11 -  
          // 12 -  
          // 13 -    
          // 14 -   Vh 
          // 15 -    
          // 16 -      
          // 17 -  
}Ch1, Ch2;

//     -    0-255,        
//             
//    ,       

//    :
// 0-9     10   
// 10      
// 11         
// 12(*10)        (  )
// 13()       
// 14      (  ,       )
// 15(%)    (  ,       )

//   " "
//         " "     EEPROM

//  :
// 0-9             (  ).
// 10  f1           1. (         )
//  7-           .
//  6-          .
//  5-          .
//  4-           .
//  3-           .
//  2-         .
//  1-          I=0.
//  0-           Vmax.
// 11  f2           2. (         )
//  7-           Vst   .
//  6-           .
//  5-           .
//  4-                 .
//  3-             30 .    .
//  2-          V<Vmax    .
//  1-        
//  0-        
// 12(*50)B      V    (  LiPo  2.4 ( 3.0)), ..   ,   .( !!!)
// 13(*50)B      V    (  LiPo 3).
// 14(*50)B      V    .
// 15(*50)B      V    .
// 16(*1)mB      dV  .
// 17(*1)m      -dV .
// 18(*1)%C        (  ).    
// 19(*1)%C        (  ).    
// 20(*1)%C        (  ).
// 21(*1)%C        .
// 22(*1)%C          .
// 23(*1).      .
// 24(*1)./   .
// 25(*1)%            . ( / )
// 26(*10)    PDes    .  =(PDes )+()+(TDes )+()
// 27(*10)    TDes   .
// 28(*50)B      V  .
// 29(*1)/      .       
//                  -  
// 30(*1)            

//    " "
//         " "     EEPROM

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
