//------------------------------------------------------------------------------ 
//  
//------------------------------------------------------------------------------ 
//     :
// 1.     
// 2.   -    
// 3.   
// 4.  
//    0    7812,5 
// 16     8    0 - 256
//------------------------------------------------------------------------------ 
ISR(TIMER0_OVF_vect)
{
BYTE register x, y=0;
//*************        *****************
#include "hd44780.cpp"
//**********************   ***********************************
#include "sound.cpp"
//**********************   ************************************
#include "key.cpp"
//**********************    UART ***********************************
if(pTimeOut)pTimeOut--;         //      (   )
//**********************  1/10     ***************
pSecs--;                        // ..   1/10   781,25
if(!pSecs)                      //       1
  {                             // 781,25=(781+781+781+782)/4
  pSecs=PSecs;                  //  
  if(!BYTE(Secs)&3)pSecs++;     //     =0    1
  Secs++;                       //        1
  if(cSh)cSh--;                 //     
  if(Ch1.C)                     //    
    {
    if(Ch1.CTime)Ch1.CTime--;   //         
    if(Ch1.Pause)Ch1.Pause--;   //    
    if(sch_C0)Ch1.InZ+=Ch1.I;   //     
    if(sch_D0)Ch1.InZ-=Ch1.I;   //     
    if(Ch1.pDec)Ch1.pDec--;     //   
    }
  if(Ch2.C)      //    
    {
    if(Ch2.CTime)Ch2.CTime--;   //         
    if(Ch2.Pause)Ch2.Pause--;   //    
    if(Ch2.pDec)Ch2.pDec--;     //   
    if(sch_C1)Ch2.InZ+=Ch2.I;   //     
    if(sch_D1)Ch2.InZ-=Ch2.I;   //       
    }
  }
}
//------------------------------------------------------------------------------
//        
// 125 000  / 14  / 8  / 32    = 34.9   
//          32 .
//       Ad[8]
//   ,    Adc[8]

//   ADC      (   )
//  ,    ( )  ,      
//   

// (ADMUX-1)&7) -   ,     ADCL  ADCH
// (ADMUX&7) -        . 
//       .
//       ((ADMUX+1)&7)
ISR(ADC_vect)
{
BYTE register x1=AdcOrder&7;        //    
BYTE register x11=(AdcOrder+2)&7;   //  ,    
BYTE register x2=AdcOrder>>3;       //  
if(!x2)Ad[x1]=0;                    //   ,  

WORD y=ADCL;                        //  .    
y|=(WORD(ADCH))<<8;                 //   
Ad[x1]+=y;                          //  

if(nTest)                           //   ,          /
  {
  if(nTest-1==x1)                   //      
    {
    if(y>Amax)Amax=y;               //  
    if(y<Amin)Amin=y;               //  
    if(x2==31)                      //   
      {
      if(Amin==0xfff)dA=0;          //      
      else dA=(Amax-Amin)<<4;       //    (  2    32)
      Amax=0;                       //  
      Amin=0x0fff;                  //  
      }
    }
  }

if(x2==31)                          //     32
  {
  Adc[x1]=Ad[x1];                   //       
  if(Ad[x1]>=0x7fe0)                //  
    {
    if(x1==0 || x1==1){Ch1.Msg=10+x1; sch_C0=0; sch_D0=0;}      //       
    if(x1==3 || x1==4){Ch2.Msg=7+x1; sch_C1=0; sch_D1=0;}       //       
    }
  }
ADMUX=(1<<REFS0)|x11;               //     
AdcOrder++;                         //    
}
//------------------------------------------------------------------------------
//         COM 
ISR(USART_RXC_vect)
{
BYTE x=UDR;
if(fTran)                           //     
  {
  fReAsk=true;                      //      
  return;                           //   
  }
fIncoming=true;                     //   
pTimeOut=PTimeOut;                  //   
InBuf[iInBuf]=x;                    //   
iInBuf++;                           //  
if(iInBuf>100)iInBuf=100;           //      
}
//------------------------------------------------------------------------------
//
ISR(USART_TXC_vect)
{                                   //       
if(iOutBuf)                         //     
  {
  UDR=OutBuf[nOutBuf-iOutBuf];      //   
  iOutBuf--;                        //   
  }
else                                //    
  fTran=false;                      //      
}
//------------------------------------------------------------------------------
ISR(BADISR_vect)
{
}
//------------------------------------------------------------------------------
